## ----include=FALSE-------------------------------------------------------
require(knitr)
opts_chunk$set(tidy=FALSE,fig.width=5.5,fig.height=3.5)

## ----include=FALSE-------------------------------------------------------
library(mosaic)
library(tigerstats)

## ------------------------------------------------------------------------
barchartGC(~seat,data=m111survey)

## ------------------------------------------------------------------------
seating <- xtabs(~seat,data=m111survey)
seating

## ------------------------------------------------------------------------
rowPerc(seating)

## ------------------------------------------------------------------------
barchartGC(~sex+seat,data=m111survey)

## ------------------------------------------------------------------------
sexSeat <- xtabs(~sex+seat,data=m111survey)
sexSeat

## ------------------------------------------------------------------------
rowPerc(sexSeat)

## ------------------------------------------------------------------------
densityplot(~fastest,data=m111survey)

## ------------------------------------------------------------------------
favstats(~fastest,data=m111survey)

## ------------------------------------------------------------------------
densityplot(~fastest|sex,data=m111survey)

## ------------------------------------------------------------------------
favstats(fastest~sex,data=m111survey)

## ------------------------------------------------------------------------
xyplot(GPA~fastest,data=m111survey,type=c("p","r"))

## ------------------------------------------------------------------------
lmGC(GPA~fastest,data=m111survey)

## ------------------------------------------------------------------------
polyfitGC(OBP~Season,data=henderson,degree=2)

## ------------------------------------------------------------------------
fastGPAMod <- lmGC(GPA~fastest,data=m111survey)
predict(fastGPAMod,x=100)

